from inventarioalmacen.views import invalmacen
from django.contrib import admin
from django.urls import path, include
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.conf import settings
from django.contrib.auth import views as auth_views
from django.conf.urls.static import static
from principal.views import inicio
from autenticacion.views import VistaRegistro, salir, acceder, usuarios, userupdate
from inventarioalmacen.views import invalmacen, crear_pieza, ActualizarPieza, crear_equipo, crear_marca, crear_ubicacion, crear_area, crear_inventrada, crear_invsalida, invalmacenentrada, invalmacensalida, buscar, ReporteExcelInventario, ReporteExcelInvEntrada, ReporteExcelInvSalida 
from inventario.views import inv_equipo, crear_invequipo, Actualizarinvequipo, ConsultaEquipo
from bitacora.views import bitacora, crear_bitacora, ActualizarBitacora, ReporteExcelBitacora
from servicios.views import Preventivo, PreventivoAll, crear_preventivo, ActualizarPreventivo, servicios, crear_ordservicio, crear_ordserviciobit, crear_servrealizado, crear_servrealizadopen, crear_servrealizadobit, crear_servrealizadocon, verservrealizado, crear_accesorios, crear_accesoriospen , servrealizado, servaccesorios, crear_refaccionesbit, crear_refaccionespen, refacciones1, refaccionespre, ActualizarOrden, crear_accesoriosbit, ReporteExcelServicios, Calendario, pdf
from pendientes.views import pendientes, crear_pendiente, ActualizarPendientes, ReporteExcelPendietes


urlpatterns = [
    path('admin/', admin.site.urls),
    path('tinymce/', include('tinymce.urls')),
    path('', inicio, name='index'),

    path('acceder/', acceder, name='acceder'),
    path('registro/', VistaRegistro.as_view(), name='registro'),
    path('usuarios/', usuarios, name='usuarios'),
    path('usuarios/actualizar/<int:id>', userupdate, name='userupdate'),
    path('salir/', salir, name='salir'),

    path('inventarioalmacen/', invalmacen, name='invalmacen'),
    path('inventarioalmacen/buscar', buscar, name='buscar'),
    path('inventarioalmacen/crear', crear_pieza, name='crear_pieza'),
    path('inventarioalmacen/crear_equipo', crear_equipo, name='crear_equipo'),
    path('inventarioalmacen/crear_marca', crear_marca, name='crear_marca'),
    path('inventarioalmacen/crear_ubicacion', crear_ubicacion, name='crear_ubicacion'),
    path('inventarioalmacen/crear_area', crear_area, name='crear_area'),
    path('inventarioalmacen/entradas', invalmacenentrada, name='invalmacenentrada'),
    path('inventarioalmacen/salidas', invalmacensalida, name='invalmacensalida'),
    path('inventarioalmacen/crear_entrada/<int:id>', crear_inventrada, name='crear_inventrada'),
    path('inventarioalmacen/crear_salida/<str:id>', crear_invsalida, name='crear_invsalida'),
    path('inventarioalmacen/actualizar/<int:pieza_id>', ActualizarPieza, name='actualizar'),
    path('inventarioalmacen/inventario_excel', ReporteExcelInventario, name='inventario_excel'),
    path('inventarioalmacen/inventario_entrada', ReporteExcelInvEntrada, name='inventario_entrada'),
    path('inventarioalmacen/inventario_salida', ReporteExcelInvSalida, name='inventario_salida'),

    path('inventarioequipos/', inv_equipo, name='inv_equipo'),
    path('inventarioequipos/crear', crear_invequipo, name='crear_invequipo'),
    path('inventarioequipos/actualizar/<int:equipo_id>', Actualizarinvequipo, name='Actualizarinvequipo'),
    path('inventarioequipos/crear_equipo', crear_equipo, name='crear_equipo'),
    path('inventarioequipos/crear_marca', crear_marca, name='crear_marca'),
    path('inventarioequipos/crear_ubicacion', crear_ubicacion, name='crear_ubicacion'),
    path('inventarioequipos/consulta', ConsultaEquipo, name='consultaequipo'),

    path('bitacora/', bitacora, name='bitacora'),
    path('bitacora/crear', crear_bitacora, name='crear_bitacora'),
    path('bitacora/actualizar/<int:id>', ActualizarBitacora, name='actualizar_bitacora'),
    path('bitacora/servrealizadob/crear/<str:cb>', crear_servrealizadobit, name='crear_servrealizadobit'),
    path('bitacora/bitacora_excel', ReporteExcelBitacora, name='bitacora_excel'),

    path('servicios/', servicios, name='servicios'),
    path('servicios/crear', crear_ordservicio, name='crear_ordservicio'),
    path('servicios/crearbit/<str:cb>', crear_ordserviciobit, name='crear_ordserviciobit'),
    path('servicios/actualizar/<int:id>', ActualizarOrden, name='actualizar_orden'),
    path('servicios/servrealizado', crear_servrealizado, name='crear_servrealizado'),
    path('servicios/servrealizado/<str:cb>', servrealizado, name='servirealizado'),
    path('servicios/verservrealizado/<str:cb>', verservrealizado, name='verservrealizado'),
    path('servicios/servrealizadocon/<str:cb>', crear_servrealizadocon, name='crear_servrealizadocon'),
    path('servicios/accesorios', crear_accesorios, name='crear_accesorios'),
    path('servicios/accesorios/crear/<str:cb>', crear_accesoriospen, name='crear_accesoriospen'),
    path('servicios/accesorios/crearbit/<str:cb>', crear_accesoriosbit, name='crear_accesoriosbit'),
    path('servicios/accesorios/<str:cb>', servaccesorios, name='serviaccesorios'),
    path('servicios/refacciones/crear/<str:cr>/<str:cb>', crear_refaccionesbit, name='crear_refaccionesbit'),
    path('servicios/refacciones/crear/<str:cr>/<str:cb>', crear_refaccionespen, name='crear_refaccionespen'),
    path('servicios/refacciones/<str:cb>', refacciones1, name='refacciones1'),
    path('servicios/refaccionespre/<str:cb>', refaccionespre, name='refaccionespre'),
    path('servicios/servicios_excel', ReporteExcelServicios, name='servicios_excel'),

    path('servicios/pdf/<int:pk>', pdf.as_view(), name='pdf'),

    path('pendientes/', pendientes, name='pendientes'),
    path('pendientes/crear/<str:cb>', crear_pendiente, name='crear_pendiente'),
    path('pendientes/actualizar/<int:id>', ActualizarPendientes, name='actualizar_pendientes'),
    path('pendientes/servrealizadop/crear/<str:cb>', crear_servrealizadopen, name='crear_servrealizadopen'),
    path('pendientes/pendientes_excel', ReporteExcelPendietes, name='pendientes_excel'),

    path('preventivo/', Preventivo, name='preventivo'),
    path('preventivos/', PreventivoAll, name='preventivoall'),
    path('preventivo/crear', crear_preventivo, name='crearpreventivo'),
    path('preventivo/actualizar/<int:id>', ActualizarPreventivo, name='actualizarpreventivo'),
    path('preventivo/calendario', Calendario.as_view(), name='calendario'),
    
    

]

urlpatterns += staticfiles_urlpatterns()


urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)